Get a Domain
Retrieve a domain with its DNS records, settings, and statistics.
Retrieve a domain with its DNS records, tracking settings, and sending statistics.
Scope: domains.read
Path Parameters
domain_idintegerrequiredThe ID of the domain to retrieve.
Response
idintegeroptionalDomain ID.
user_idintegeroptionalOwner account ID.
domain_namestringoptionalDomain name.
dns_recordsobjectoptionalDNS records: dkim_record, spf_record, dmarc_record, mx_record, tracking_record.
sandboxbooleanoptionalWhether it is a sandbox domain.
freebooleanoptionalWhether it is a free sub-domain.
interaction_trackingbooleanoptionalWhether open/click tracking is enabled.
custom_hostname_trackingbooleanoptionalWhether custom hostname tracking is enabled.
return_pathstringoptionalReturn-path local part.
statusbooleanoptionalDNS verification status.
statisticsobjectoptionalSending statistics: delivered, bounced, opened, clicked.
Sample Response
200 OK
{
"data": {
"id": 123,
"user_id": 12345,
"domain_name": "example.com",
"dns_records": {
"dkim_record": {
"host": "smtp._domainkey.example.com",
"record": "v=DKIM1; ...",
"cname_fallback": "",
"created": true
},
"spf_record": {
"host": "example.com",
"record": "v=spf1 include:spf.maileroo.com ~all",
"created": true
},
"dmarc_record": {
"host": "_dmarc.example.com",
"record": "v=DMARC1; p=none",
"created": false
},
"mx_record": {
"host": "example.com",
"record": "mx.maileroo.com",
"priority": 10,
"created": false
},
"tracking_record": {
"host": "track.example.com",
"record": "tracking.maileroo.com",
"created": false
}
},
"sandbox": false,
"free": false,
"interaction_tracking": true,
"custom_hostname_tracking": false,
"return_path": "bounces",
"status": true,
"statistics": {
"delivered": 100,
"bounced": 2,
"opened": 60,
"clicked": 18
}
}
}